Bug 13882 - Adding new unit tests in t/Borrower.t, testing all 'borrower' database fields
Summary: Adding new unit tests in t/Borrower.t, testing all 'borrower' database fields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Julian FIOL
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-20 15:29 UTC by Julian FIOL
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13882 : Adding new unit tests in t/Borrower.t, testing all 'borrower' database fields (16.33 KB, patch)
2015-03-20 15:34 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 13882 : Adding new unit tests in t/Borrower.t (16.54 KB, patch)
2015-03-30 12:55 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 9120: Prevent form submission on adding tags - OPAC (2.85 KB, text/plain)
2015-03-31 02:58 UTC, Aleisha Amohia
Details
[PASSED QA] Bug 13882 : Adding new unit tests in t/Borrower.t (16.61 KB, patch)
2015-04-03 17:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13882 - Tidy t/Borrower.t to fix whitespace errors (37.68 KB, patch)
2015-04-03 17:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian FIOL 2015-03-20 15:29:43 UTC
Adding new unit tests in t/Borrower.t, testing all 'borrower' database fields
Comment 1 Julian FIOL 2015-03-20 15:34:32 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-03-30 12:55:10 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2015-03-31 02:58:34 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2015-03-31 03:46:19 UTC
All tests pass, signing off.
Comment 5 Kyle M Hall 2015-04-03 17:41:21 UTC
Created attachment 37470 [details] [review]
[PASSED QA] Bug 13882 : Adding new unit tests in t/Borrower.t

This adds testing for all the 'borrower' database fields.

TEST PLAN
---------
1) apply patch
2) prove -v t/Borrowers.t
   -- All 67 subtests for both the setter and accessor
      should run successfully.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2015-04-03 17:41:28 UTC
Created attachment 37471 [details] [review]
Bug 13882 - Tidy t/Borrower.t to fix whitespace errors
Comment 7 Tomás Cohen Arazi 2015-04-08 15:23:27 UTC
Patches pushed to master.

Good job Julian!

Note: I rebased it on top of bug 13928, no big deal.